Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Firefox "not compatible" with new 10" android tablet

  • 3 replies
  • 1 has this problem
  • 2 views
  • Last reply by johnb0647

more options

Purchased a new economy 10" android tablet. PlayStore says Firefox (V81) is "not compatible with this device". All other apps I've tried to install work perfectly. Disaster!!! I've been with FireFox since it was a cub <G>

Maybe an earlier release?

HARDWARE: Mediatek ZH960; Hardware MT6797; CPU ARM7/Rev3/V71; 8gb RAM; 500gb storage.

Chosen solution

jscher link to Firefox requirements lead me to FF release 68.11.0 which installed correctly and so far appears to work properly.

Thanks many times.

JohnB

Read this answer in context 👍 0

All Replies (3)

more options

Do you have Android 5.0 or higher?

https://www.mozilla.org/firefox/android/81.0/system-requirements/

Assuming so, I wonder if something is not being detected correctly about the processor. ??

Helpful?

more options

Running Android 9

Helpful?

more options

Chosen Solution

jscher link to Firefox requirements lead me to FF release 68.11.0 which installed correctly and so far appears to work properly.

Thanks many times.

JohnB

Helpful?

Ask a question

You must log in to your account to reply to posts. Please start a new question, if you do not have an account yet.